Skip to Content
Insurance Invitation

All insurance invitation endpoints require an API key of a landlord account. Requests made with other accounts are rejected with 403.

Create Tenant Insurance Invitation

POST/v2/tenant-insurance-invitations

Create an insurance invitation link for a tenant. The tenant will be able to share insurance details, such as policy ID and insurance period, with the inviter. Returns 200 with the invitation URL. Returns 400 when a field is invalid or the referenceId has already been used.

Request body

▸
▸referenceIdstringRequired

Unique ID in the client system. Must be unique when callbackUrl is provided.

▸insuranceStartDatestringRequired

Insurance start date (YYYY-MM-DD). Must be later than today. An empty value defaults to tomorrow.

▸tenantobjectOptional

Tenant's details.

▸namestringOptional

Tenant's name.

▸surnamestringOptional

Tenant's surname.

▸peselNumberstringOptional

Tenant's PESEL number. Must be a valid PESEL of an adult.

▸citizenshipstringOptional

Tenant's citizenship (2-letter country code, e.g. PL).

▸birthDatestringOptional

Tenant's birth date (YYYY-MM-DD). Must be at least 18 years old.

▸addressobjectOptional

Tenant's address.

▸countrystringOptionalDefaults to PL

Tenant's country.

▸citystringOptional

Tenant's city.

▸streetstringOptional

Tenant's street.

▸houseNumberstringOptional

Tenant's house number.

▸flatNumberstringOptional

Tenant's flat number.

▸postalCodestringOptional

Tenant's postal code.

▸emailstringOptional

Email address to send an email with an insurance link.

▸languagestringOptionalDefaults to pl

Language used as initial in the process (pl|en|ua).

▸callbackUrlstringOptional

Callback URL for process updates (see tenant insurance invitation status object). The first callback (state NEW) is sent right after the invitation is created.

▸projectIdstringOptional

Optionally specifies the target project for the insurance. If the provided ID (unique per organization) does not exist, the system creates a new project record with that identifier.

Returns

▸
▸invitationUrlstring

URL to the insurance invitation.

Provided tenant details will be used to pre-fill an insurance form.
Request Example
curl --location --request POST 'https://api-test.simpl.rent/v2/tenant-insurance-invitations' \ --header 'Authorization: <API key>' \ --header 'Content-Type: application/json' \ --data-raw '{ "tenant": { "name": "Simpl", "surname": "Rent", "peselNumber": "55082282655", "citizenship": "PL", "address": { "city": "Warszawa", "street": "Kurza", "houseNumber": "34", "flatNumber": "3", "postalCode": "02-832" } }, "insuranceStartDate": "2027-01-20", "referenceId": "1234", "callbackUrl": "https://simpl.rent" }'

Get Tenant Insurance Invitation

Fetch insurance invitation data.

GET/v2/tenant-insurance-invitations/{id}

Get tenant insurance invitation data. Returns 404 when the invitation is not found.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during tenant insurance invitation creation.

Returns

▸
Request Example
curl --location --request GET 'https://api-test.simpl.rent/v2/tenant-insurance-invitations/123' \ --header 'Authorization: <API key>'

Get Tenant Insurance Certificate Policy

Fetch Insurance Certificate Policy if tenant shared his insurance.

GET/v2/tenant-insurance-invitations/{id}/certificate

Get tenant insurance certificate policy. Returns 404 with an empty body when the certificate is not available, e.g. the tenant has not shared the insurance or the invitation was cancelled.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during tenant insurance invitation creation.

Returns

▸
▸pdfContent-Type: application/pdf

PDF file tenant insurance policy certificate.

Request Example
curl --location --request GET 'https://api-test.simpl.rent/v2/tenant-insurance-invitations/123/certificate' \ --header 'Authorization: <API key>'

Cancel Tenant Insurance Invitation

DELETE/v2/tenant-insurance-invitations/{id}

Cancel the tenant insurance invitation. Returns 204 No Content. Returns 404 when the invitation is not found or already cancelled.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during tenant insurance invitation creation.

Example Request
curl --location --request DELETE 'https://api-test.simpl.rent/v2/tenant-insurance-invitations/12345' \ --header 'Authorization: <API key>'

Resend Tenant Insurance Invitation

POST/v2/tenant-insurance-invitations/{id}/resend

Resend the tenant insurance invitation. Returns 200 with body true. Returns 400 when the invitation is already in state INSURED.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during tenant insurance invitation creation.

Request body

▸
▸emailstringRequired

Recipient email address.

Example Request
curl --location --request POST 'https://api-test.simpl.rent/v2/tenant-insurance-invitations/12345/resend' \ --header 'Authorization: <API key>' \ --header 'Content-Type: application/json' \ --data-raw '{ "email": "test@test.com" }'

Tenant Insurance Invitation Status Object

Callback object for insurance invitation process updates.

Fields

▸
▸referenceIdstring

Unique ID in the client system.

▸invitationStatestring

Invitation state (NEW|OPENED|INSURED|EXPIRING|CANCELED|DELETED). DELETED is sent only in callbacks.

▸variantstring

Name of the insurance variant chosen by the tenant. Empty until the tenant chooses a variant.

▸tenantobject

Tenant's details. Always present, fields are empty strings until the tenant is insured and shares the insurance.

▸namestring

Tenant's name.

▸surnamestring

Tenant's surname.

▸policyIdstring

Tenant's policy ID.

▸insuranceStartDatestring

Tenant's insurance start date (YYYY-MM-dd).

▸insuranceEndDatestring

Tenant's insurance end date (YYYY-MM-dd).

Create Landlord Insurance Invitation

POST/v2/landlord-insurance-invitations

Create an invitation for landlord insurance. The landlord will be able to purchase landlord insurance with a discount for the provided tenant certificate and share insurance details with the inviter. The invitation is always in Polish. Returns 200 with the invitation URL. Returns 400 when the certificate is missing, not found or not eligible for insurance, or when the referenceId has already been used.

Request body

▸
▸referenceIdstringRequired

Unique ID in the client system. Must be unique when callbackUrl is provided.

▸certificateIdstringRequired

Simpl Rent certificate ID required for the invitation.

▸emailstringOptional

If provided, an email with an insurance link will be sent to the landlord.

▸callbackUrlstringOptional

Callback URL for process updates (see landlord insurance invitation status object).

▸projectIdstringOptional

Optionally specifies the target project for the insurance. If the provided ID does not exist, the system creates a new project record with that identifier.

Returns

▸
▸invitationUrlstring

URL to the insurance invitation.

Example Request
curl --location --request POST 'https://api-test.simpl.rent/v2/landlord-insurance-invitations' \ --header 'Authorization: <API key>' \ --header 'Content-Type: application/json' \ --data-raw '{ "referenceId": "12345", "callbackUrl": "https://simpl.rent", "certificateId": "r9kx" }'

Get Landlord Insurance Invitation

GET/v2/landlord-insurance-invitations/{id}

Fetch insurance invitation data. Returns 404 when the invitation is not found.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during landlord insurance invitation creation.

Returns

▸
Example Request
curl --location --request GET 'https://api-test.simpl.rent/v2/landlord-insurance-invitations/123' \ --header 'Authorization: <API key>'

Cancel Landlord Insurance Invitation

DELETE/v2/landlord-insurance-invitations/{id}

Cancel the landlord insurance invitation. Returns 204 No Content. Returns 404 when the invitation is not found or already cancelled.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during landlord insurance invitation creation.

Example Request
curl --location --request DELETE 'https://api-test.simpl.rent/v2/landlord-insurance-invitations/12345' \ --header 'Authorization: <API key>'

Resend Landlord Insurance Invitation

POST/v2/landlord-insurance-invitations/{id}/resend

Resend the landlord insurance invitation. Returns 200 with body true. Returns 400 when the invitation is already in state INSURED.

Path parameters

▸
▸idstring

Unique ID (referenceId) provided during landlord insurance invitation creation.

Request body

▸
▸emailstringRequired

Recipient email address.

Example Request
curl --location --request POST 'https://api-test.simpl.rent/v2/landlord-insurance-invitations/12345/resend' \ --header 'Authorization: <API key>' \ --header 'Content-Type: application/json' \ --data-raw '{ "email": "test@test.com" }'

Landlord Insurance Invitation Status Object

Landlord insurance invitation data.

Fields

▸
▸referenceIdstring

Unique ID in the client system.

▸invitationStatestring

Invitation state (NEW|OPENED|INSURED|EXPIRED|DELETED). DELETED is sent only in callbacks.

▸landlordobject

Landlord details. Always present, fields are empty strings until the landlord accepts to share data.

▸namestring

Landlord's name.

▸surnamestring

Landlord's surname.

▸insuranceobject

Landlord insurance details. Always present, fields are empty strings until the landlord accepts to share data.

▸policyIdstring

Insurance policy ID.

▸startDatestring

Insurance start date (YYYY-MM-dd).

▸endDatestring

Insurance end date (YYYY-MM-dd).